Subject: Re: [PATCH] net: phy: marvell: add 88E1543 support

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 3 Apr 2022 20:01:33 +0100

On Sun, Apr 03, 2022 at 09:30:06PM +0300, Stijn Tintel wrote:
> On 3/04/2022 21:19, Russell King (Oracle) wrote:
> > Hi,
> >
> > On Sun, Apr 03, 2022 at 08:29:36PM +0300, Stijn Tintel wrote:
> >> Add support for the Marvell Alaska 88E1543 PHY used in the WatchGuard
> >> Firebox M200 and M300.
> > Looking at the IDs, this PHY should already be supported - reporting as
> > an 88E1545. Why do you need this patch?
> >
> Thanks for pointing that out, you're right. Please disregard the patch. 
> Would it be acceptable to change the name member to "Marvell
> 88E1543/88E1545" to make this more obvious?

Unfortuantely not, the driver name is used in sysfs, and as I'm sure
you're aware, "/" is a pathname element separator and thus can't be
used.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!